Get Request By Id

Get Request By Id
Get request by Id

Get request by Id

Request
URI
GET
https://{api_host}/suite-api/api/workflows/requests/{requestId}
COPY
Path Parameters
string
requestId
Required

requestId


Authentication
This operation uses the following authentication methods.
Responses
200

Request by Id

Returns WorkflowRequest of type(s) application/json
"{\n  \"errorCause\" : [ ]\n}"
string
category
Required

Categories for VCF workflow requests

Possible values are : INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM,
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


404

Error while fetching Request by Id

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/workflows/requests/{requestId}